## org.eclipse.datatools.connectivity.oda.flatfile.util.querytextutil
Class ColumnsInfoUtil

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.flatfile.util.querytextutil.ColumnsInfoUtil

    public class ColumnsInfoUtil

extends java.lang.Object

Utility class for extracting column names, original column names, and column types from columns information

Constructor Summary
`ColumnsInfoUtil(java.lang.String columnsInfo)`

Method Summary
`java.lang.String[]` `getColumnNames()` Extracts the column names from the columsInfo string
`java.lang.String[]` `getColumnTypeNames()` Extracts the column type names from the columsInfo string
`java.lang.String[]` `getOriginalColumnNames()` Extracts the original column names from the columsInfo string
`static boolean` `isColumnsInfoKeyWord(char charactor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnsInfoUtil

    public ColumnsInfoUtil(java.lang.String columnsInfo)

Method Detail

### getColumnNames

    public java.lang.String[] getColumnNames()

  Extracts the column names from the columsInfo string

  Parameters:
    `columnsInfo` -
  Returns:

### getColumnTypeNames

    public java.lang.String[] getColumnTypeNames()

  Extracts the column type names from the columsInfo string

  Parameters:
    `columnsInfo` -
  Returns:

### getOriginalColumnNames

    public java.lang.String[] getOriginalColumnNames()

  Extracts the original column names from the columsInfo string

  Parameters:
    `columnsInfo` -
  Returns:

### isColumnsInfoKeyWord

    public static boolean isColumnsInfoKeyWord(char charactor)

  Parameters:
    `charactor` -
  Returns: